## org.bn.compiler.parser.model
Class AsnOidComponentList

    java.lang.Object
      org.bn.compiler.parser.model.AsnOidComponentList

    public class AsnOidComponentList

extends java.lang.Object

Field Summary
`java.util.ArrayList` `components`
`AsnDefinedValue` `defval`
`boolean` `isDefinitive`

Constructor Summary
`AsnOidComponentList()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### components

    public java.util.ArrayList components

### defval

    public AsnDefinedValue defval

### isDefinitive

    public boolean isDefinitive

Constructor Detail

### AsnOidComponentList

    public AsnOidComponentList()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`